var new_obj = [];
var temp_obj = [];
var _pageNo = 1;
var _pageSize = 10;
var send_zc = 0;
var send_xq = 0;
var _flag = false;

function getAll(_zc, _xq, _no, _size) {
	$.ajax({
		type: "get",
		url: apis.kxjs_getJsxxPage + '?appid=kxjs&zc=' + _zc + '&xq=' + _xq + '&pageNo=' + _no + '&pageSize=' + _size,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errcode == 0 && result.jsxxList.length > 0) {
				var obj = result.jsxxList;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell">';
					html += '	<h4>教室名称：' + obj[i].room + '</h4>';
					html += '	<h6>空闲节次：' + obj[i].jc.split(',').sort(sortNumber).toString() + '</h6>';
					html += '</li>';

					$('ul').append(html);
				}
			} else {
				_flag = true;
			}

			mui('#pullrefresh').pullRefresh().endPullupToRefresh(_flag);
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

//排序
function sortNumber(a, b) {
	return a - b;
}

/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	++_pageNo;

	getAll(send_zc, send_xq, _pageNo, 10);
}

$(function() {
	$('ul').empty();

	// 添加send自定义事件监听
	window.addEventListener('send', function(event) {
		//获得事件参数
		send_zc = event.detail.zc;
		send_xq = event.detail.xq;

		mui.plusReady(function() {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					up: {
						contentrefresh: '正在加载...',
						contentnomore: '没有更多数据了',
						callback: pullupRefresh
					}
				}
			});

			getAll(send_zc, send_xq, _pageNo, _pageSize);
		});
	});
})