var user_token = '';

$(function() {
	user_token = getlocalStorage('user-token');

	getLinkAll();

	// tab切换出发事件
	mui('.mui-segmented-control').on('tap', 'a', function(e) {
		var activeTab = this.innerText;

		if(activeTab == '收藏') {
			$('#tab-collect ul').empty();
			if(user_token == null || user_token == '') {

			} else {
				getLinkCollect();
			}
		}
	});
})

//通讯录个人收藏
function getLinkCollect() {
	$.ajax({
		type: "get",
		url: apis.hy_grshoucang + '?appid=txl&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				$('#tab-collect ul').empty();
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li id="' + obj[i].ID + '" data-ls="' + obj[i].LS + '" data-lsname="' + $('#' + obj[i].LS).text().trim() + '" class="mui-table-view-cell mui-indexed-list-item" onclick="goDetailCollect(this)">';
					html += '	<a class="mui-navigate-right"><span class="title-color">' + obj[i].MC.substring(0, 1) + '</span>' + obj[i].MC + '</a>';
					html += '</li>';

					$('#tab-collect ul').append(html);
				}

				randomColor();

			} else {
				$('#tab-collect ul').empty();
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

// 随机颜色
function randomColor() {
	$(".title-color").each(function() {
		$(this).css("background", getRandomColor());
	});

	function getRandomColor() {
		var c = '#';
		var cArray = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'];
		for(var i = 0; i < 6; i++) {
			var cIndex = Math.round(Math.random() * 15);
			c += cArray[cIndex];
		}
		return c;
	}
}

var lv1_obj = [];
var lv2_obj = [];

//获取所有联系人
function getLinkAll() {
	$.ajax({
		type: "get",
		url: apis.hy_all,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200) {
				var obj = result.rows;

				for(var i in obj) {
					if(obj[i].LS == 0) {
						lv1_obj.push(obj[i]);
					} else {
						lv2_obj.push(obj[i]);
					}
				}

				$('.mui-indexed-list-bar').empty();
				$('.mui-indexed-list-inner ul').empty();

				var bar_html = '';
				var lv1_html = '';
				for(var i in lv1_obj) {
					bar_html += '<a>' + lv1_obj[i].MC.substring(0, 1) + '</a>';
					lv1_html += '<li id="' + lv1_obj[i].ID + '" data-group="' + lv1_obj[i].MC.substring(0, 1) + '" class="mui-table-view-divider mui-indexed-list-group">' + lv1_obj[i].MC + '</li>'
				};
				$('.mui-indexed-list-bar').append(bar_html);
				$('.mui-indexed-list-inner ul').append(lv1_html);

				for(var i in lv2_obj) {
					var lv2_html = '';
					lv2_html += '<li id="' + lv2_obj[i].ID + '" data-ls="' + lv2_obj[i].LS + '" class="mui-table-view-cell mui-indexed-list-item" onclick="goDetail(this)">';
					lv2_html += '	<a class="mui-navigate-right"><span class="title-color">' + lv2_obj[i].MC.substring(0, 1) + '</span>' + lv2_obj[i].MC + '</a>';
					lv2_html += '</li>';

					$('#' + lv2_obj[i].LS).after(lv2_html);
				}

				mui.init();
				mui.ready(function() {
					var tabControl = document.getElementById('tabControl');
					var list = document.getElementById('list');
					//calc hieght
					list.style.height = (document.body.offsetHeight - tabControl.offsetHeight) + 'px';
					//create
					window.indexedList = new mui.IndexedList(list);

					randomColor();
				});
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

function goDetail(e) {
	var pid = $(e).attr('data-ls');
	var _name = $('#' + pid).text().trim();
	titleNViewWebviewLink($(e).attr('id'), _name);
}

function goDetailCollect(e) {
	var pid = $(e).attr('data-ls');
	var _name = $(e).attr('data-lsname');
	titleNViewWebviewLink($(e).attr('id'), _name);
}

// 带标题栏控件的Webview窗口
var webview = null;

function titleNViewWebviewLink(_id, _name) {
	webview = plus.webview.create('link-detail.html', 'link-detail', {
		scalable:true,
		'titleNView': {
			'backgroundColor': '#FF952A',
			'titleText': '',
			'titleColor': '#FFFFFF',
			//'autoBackButton': true,
			'buttons': [{
				text: '<',
				float: 'left',
				onclick: function() {
					plus.webview.getWebviewById('link-detail').close();
				}
			}]
		}
	});

	webview.show('slide-in-right');

	webview.addEventListener('close', function(e) {
		//		webview = null;
		webview.close();
		//console.log('返回上一页');
	});

	webview.addEventListener('titleUpdate', function(e) {
		mui.fire(webview, 'send', {
			targetId: _id,
			targetName: _name
		})
		webview.show();
		//console.log('Update title: ' + e.title);
	});
}