function login() {
	if($('#user-name').val().trim() == '' || $('#user-password').val().trim() == '' || $('#user-code').val().trim() == '') {
		mui.toast('输入不正确');
	} else {
		$.ajax({
			type: "post",
			url: apis.login,
			dataType: "json",
			cache: false, //缓存
			async: true, //异步
			contentType: "application/json",
			data: JSON.stringify({
				'username': $('#user-name').val(),
				'password': $('#user-password').val(),
				'code': $('#user-code').val()
			}),
			beforeSend: function() {

			},
			success: function(result) {
				console.log(result)
				if(result.errorcode == 1) {
					window.localStorage.setItem('user-token', result.data);
					back();
				} else {
					mui.toast(result.errormsg);
					$('#img-code').attr('src', apis.code + '?' + guid());
				}
			},
			complete: function() {

			}
		});
	}
}

$(function() {
	$('#img-code').attr('src', apis.code);

	$('#img-code').on('tap', function() {
		$('#img-code').attr('src', apis.code + '?' + guid());
	});
})