var user_token = '';


//获取用户信息
function getUser() {
	$.ajax({
		type: "get",
		url: apis.newwdxx + '?token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			//mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			//if(result.code == 200 && result.errcode == 0) {
			$('.user-name').text(result.XM);
			$('.user-number').text(result.USERID);
			$('.login-out').show();

			$('#user ul').empty();
			var obj = result.viewData;
			for(var i in obj) {
				var html = '';
				html += '<li class="mui-table-view-cell">';
				html += '	<a class="">';
				html += '		<span class="mui-pull-right">' + obj[i].keyvalue + '</span> ' + obj[i].keyName;
				html += '	</a>';
				html += '</li>';

				$('#user ul').append(html);
			}
		},
		complete: function() {
			//mui.hideLoading(function() {});
		}
	});
}

//退出登录
function outLogin() {
	$('#exit-login').on('tap', function() {
		$.ajax({
			type: "get",
			url: apis.logout + '?token=' + user_token,
			dataType: "json",
			cache: false, //缓存
			async: true, //异步
			data: {},
			beforeSend: function() {
				mui.showLoading("正在加载", "div");
			},
			success: function(result) {
				if(result.errorcode == 1) {
					window.localStorage.removeItem('user-token');
					window.location.reload();
				}
			},
			complete: function() {
				mui.hideLoading(function() {});
			}
		});
	});
}

//消息盒子
function getNotice() {
	//打开信息推送消息盒子
	$('#notice').on('tap', function() {
		
		var obj = {
			'html': 'xxts-list.html',
			'title': '消息通知中心',
			'id': 'xxtz'
		}
		titleNViewWebview(obj);
	});
}
//意见反馈
function goFanKui() {
	//打开意见反馈表单页
	$('#fankui').on('tap', function() {
		var obj = {
			'html': 'fankui.html',
			'title': '意见反馈',
			'id': 'yjfk'
		}
		titleNViewWebview(obj);
	});
}
//修改密码
function goUpdatePwd() {
	$('#Updatepassword').show();
	$('#Updatepassword').on('tap', function() {
		var obj = {
			'html': 'password.html',
			'title': '修改密码',
			'id': 'password'
		}
		titleNViewWebview(obj);
	});
}

//绑定推送消息cid
function binding_push(clientid) {
	//注册绑定事件
	var data = {};
	data.cid = clientid;
	data.token = user_token;
	$.ajax({
		type: "get",
		url: apis.binding_push_cid,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: data,
		beforeSend: function() {},
		success: function(result) {},
		complete: function() {}
	});
}

//获取版本信息
function currentVersion() {
	$('#version span').text('当前版本    '+app_version);
	
	$('#version').on('tap', function() {
		var obj = {
		'html': 'version.html',
		'title': '系统版本',
		'id': 'password'
		}
		titleNViewWebview(obj);
	});
}


// 创建悬浮窗口
var floatw = null;

function floatWebview() {
	if(floatw) { // 避免快速多次点击创建多个窗口
		return;
	}

	floatw = plus.webview.create("login.html", "", {
		width: '100%',
		height: '100%',
		margin: "auto",
		background: "rgba(0,0,0,0.8)",
		scrollIndicator: 'none',
		scalable: true,
		popGesture: 'none'
	});

	floatw.addEventListener("loaded", function() {
		floatw.show('fade-in', 300);
		floatw = null;
	}, false);

	//登录窗口关闭执行方法
	floatw.addEventListener('close', function(e) {
		window.location.reload();
	});
}

$(function() {
	
	mui.init();
	//显示当前版本
	currentVersion();
	//获取登录用户token
	user_token = getlocalStorage('user-token');
	//判断用户是否登录
	if(user_token == null || user_token == '') {
		$('.user-name').text('未登录');
		$('.user-number').text('');
		$('ul li span').text('');
		$('.login-out').hide();
		$('#notice').hide();
		$('#fankui').hide();
		$('#version').hide();
		$('#Updatepassword').css("display","none");
		
		//$('.top').on('tap', function() {
		//	floatWebview();
		//});
		$('#loginBut').on('tap', function() {
			floatWebview();
			/**var obj = {
			'html': 'gzrc-list.html',
			'title': '周工作日程',
			'id': 'gzrc-list'
			}
			titleNViewWebview(obj);
			**/
			
			
		});
	} else {
		$('#loginBut').hide();
		getUser();
		outLogin();
		getNotice();
		goFanKui();
		goUpdatePwd();
	}
	
	$('#clear-cache').on('tap', function() {
		window.localStorage.removeItem('user-token');
		floatWebview();
	});
	
	//$('#change-inner').on('tap', function() {
	//	window.localStorage.setItem('url-flag', 'inner');
	//});
	
	//$('#change-outer').on('tap', function() {
	//	window.localStorage.removeItem('url-flag');
	//});
	
	mui.plusReady(function() {
		if(user_token == null || user_token == '') {

		} else {
			push_init();
			var info = plus.push.getClientInfo();
			if(info.clientid) {
				binding_push(info.clientid);
			}
		}
		
		/**
		//网络监听
		var url_flag = window.localStorage.getItem('url-flag');
		if(url_flag == null || url_flag == '' || url_flag == undefined) {
			//外网
			$("#wlqh").attr("class","mui-switch mui-switch-mini");
		} else {
			//内网
			$("#wlqh").attr("class","mui-switch mui-active mui-switch-mini");
		}
		document.getElementById("wlqh").addEventListener('toggle', function(event) {
			var wlzt = $("#wlqh").attr("class");
			if(wlzt=="mui-switch mui-switch-mini"){
				window.localStorage.removeItem('url-flag');
			}else{
				window.localStorage.setItem('url-flag', 'inner');
			}
    	});
    	**/
	});
})