var shares=null;
// H5 plus事件处理
function plusReady(){
	updateSerivces();
}
if(window.plus){
	plusReady();
}else{
	document.addEventListener("plusready",plusReady,false);
}
/**
 * 更新分享服务
 */
function updateSerivces(){
	plus.share.getServices( function(s){
		shares={};
		for(var i in s){
			var t=s[i];
			shares[t.id]=t;
		}
	}, function(e){
		console.log( "获取分享服务列表失败："+e.message );
	} );
}
function ShareHref(obj) {
	var shareBts=[];
	// 更新分享列表
	var ss=shares['weixin'];
	ss&&ss.nativeClient&&(shareBts.push({title:'微信朋友圈',s:ss,x:'WXSceneTimeline'}),
	shareBts.push({title:'微信好友',s:ss,x:'WXSceneSession'}));
	
	// 弹出分享列表
	if(shareBts.length>0){
		plus.nativeUI.actionSheet({title:'分享链接',cancel:'取消',buttons:shareBts},function(e){
			(e.index>0)&&shareAction(shareBts[e.index-1],obj);
		})
	}else{
		plus.nativeUI.alert('当前环境无法支持分享链接操作!');
	}
	
}

/**
   * 分享数据操作
   * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
   */
function shareAction(sb,obj) {
	/**obj={
		href:'http://www.baidu.com',
		title:'测试标题',
		content:'1234567890'
	};**/
	
	if(!sb||!sb.s){
		console.log( "无效的分享服务！" );
		return;
	}
	var msg={extra:{scene:sb.x}};
		msg.content=obj.content;
		msg.href=obj.href;
		msg.title=obj.title;
		msg.thumbs=["_www/img/user-photo.png"];
		msg.pictures=["_www/img/user-photo.png"];
	// 发送分享
	if ( sb.s.authenticated ) {
		console.log( "---已授权---" );
		shareMessage(msg,sb.s);
	} else {
		console.log( "---未授权---" );
		sb.s.authorize( function(){
				shareMessage(msg,sb.s);
			},function(e){
			console.log( "认证授权失败："+e.code+" - "+e.message );
		});
	}
}
/**
   * 发送分享消息
   * @param {JSON} msg
   * @param {plus.share.ShareService} s
   */
function shareMessage(msg,s){
	s.send( msg, function(){
		console.log( "分享到\""+s.description+"\"成功！ " );
	}, function(e){
		console.log( "分享到\""+s.description+"\"失败: "+JSON.stringify(e) );
	} );
}

//分享webview
var webviewShare = null;
function shareNViewWebview(obj,share_obj) {
	webviewShare = plus.webview.create(obj.html, obj.id,{
		scalable:true,
		'titleNView': {
			'backgroundColor': '#FF952A',
			'titleText': obj.title,
			'titleColor': '#FFFFFF',
			//'autoBackButton': true,
			'buttons': [{
				text: '<',
				float: 'left',
				onclick: function() {
					plus.webview.getWebviewById(obj.id).close();
				}
			},/* {
				 text: '分享', 
				float: 'right',
				fontSize:'14px',
				onclick: function() {
					ShareHref(share_obj);
				}
			}, */
			]
		}
	});

	webviewShare.show('slide-in-right');

	webviewShare.addEventListener('titleUpdate', function(e) {
		webviewShare.show();
	});
}