var user_token = '';
var _year = '';
var _sfqjmc = '';

(function($, doc) {
	user_token = getlocalStorage('user-token');

	if(user_token == null || user_token == '') {

	} else {
		var myDate = new Date;
		_year = myDate.getFullYear();
		var btns = $('.top')[0]
		var result = doc.getElementById('result');
		result.innerText = _year;
		_sfqjmc = _year;

		getXsfyhz();

		$.init();
		$.ready(function() {
			//普通示例
			var userPicker = new $.PopPicker();
			userPicker.setData(returnTopData());

			btns.addEventListener('tap', function(event) {
				userPicker.show(function(items) {
					result.innerText = items[0].text;
					_sfqjmc = items[0].qdxn;

					getXsfyhz();
				});
			}, false);
		});
	}

})(mui, document);

//返回下拉框数据
function returnTopData() {
	var topData = [];

	//默认取当前4年展示
	for(var j = 0; j < 4; j++) {
		topData.push({
			'qdxn': _year - j,
			'text': _year - j
		})
	}

	return topData;
}

function getXsfyhz() {
	$.ajax({
		type: "get",
		url: apis.xsfyhz + '?appid=wdfy&token=' + user_token + '&sfqjmc=' + _sfqjmc,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows[0];
				$('.yjje').text(obj.yjje);
				$('.sjje').text(obj.sjje);
				$('.qfje').text(obj.qfje);
			} else {
				$('.yjje').text(0);
				$('.sjje').text(0);
				$('.qfje').text(0);
			}
		},
		complete: function() {
			getXsfy();
		}
	});
}

function getXsfy() {
	$.ajax({
		type: "get",
		url: apis.xsfy + '?token=' + user_token + '&sfqjmc=' + _sfqjmc,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			$('.bottom .lists').empty();
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows;

				for(var i in obj) {
					var html = '';
					html += '<div class="mui-card-footer">';
					html += '	<a class="mui-card-link">' + obj[i].sfxmmc + '</a>';
					html += '	<a class="mui-card-link">' + new Number(obj[i].yjje).toFixed(2) + '</a>';
					html += '</div>';
					html += '<div class="mui-card-content-inner">';
					html += '	<p>缴费方式：' + obj[i].jsfsmc + '</p>';
					html += '	<p>减免金额：' + new Number(obj[i].jmje).toFixed(2) + '</p>';
					html += '	<p>退费金额：' + new Number(obj[i].tfje).toFixed(2) + '</p>';
					html += '</div>';
					
					$('.bottom .lists').append(html);
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}