var user_token = '';
var _year = '';
var _month = '';

function initTime() {
	var btns = $('.top')[0]
	var result = $('#result');
	btns.addEventListener('tap', function() {
		var _self = this;
		_self.picker = new mui.DtPicker({
			type: "month", //设置日历初始视图模式 
			//beginDate: new Date(2015, 04), //设置开始日期 
			//endDate: new Date(2016, 04), //设置结束日期 
			labels: ['年', '月']
		})
		_self.picker.show(function(rs) {
			result.html(rs.text);
			_year = rs.text.split('-')[0]
			_month = remove0(rs.text.split('-')[1])
			getJBGZ(user_token, _year, _month);
			getQT(user_token, _year, _month);
			getSDS(user_token, _year, _month);

			//注意销毁，提高性能
			_self.picker.dispose();
			_self.picker = null;
		})
	})
}

$(function() {
	user_token = getlocalStorage('user-token');
	var myDate = new Date;
	_year = myDate.getFullYear();
	_month = remove0(myDate.getMonth() + 1);

	$('#result').text(_year + '-' + add0(_month));

	mui.showLoading("正在加载", "div");

	initTime();

	mui.hideLoading(function() {});
	
	getJBGZ(user_token, _year, _month);
	getQT(user_token, _year, _month);
	//getSDS(user_token, _year, _month);
});

//教师基本工资
function getJBGZ(t, y, m) {
	console.log(apis.gongzi + '?appid=wdgz&token=' + t + '&nian=' + y + '&yue=' + m + '');
	$.ajax({
		type: "get",
		url: apis.gongzi + '?appid=wdgz&token=' + t + '&nian=' + y + '&yue=' + m + '',
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows[0];
				$('.basic li span').each(function() {
					var _key = $(this).attr('id');
					$('#' + _key).text(obj[_key]);
				})
			} else {
				$('.basic li span').each(function() {
					var _key = $(this).attr('id');
					$('#' + _key).text(0);
				})
			}
		},
		complete: function() {}
	});
}

//教师个人其他收入
function getQT(t, y, m) {
	console.log(apis.qtgrsr + '?token=' + t + '&nian=' + y + '&yue=' + m + '')
	$('.qtgz').html('');
	$.ajax({
		type: "get",
		url: apis.qtgrsr + '?token=' + t + '&nian=' + y + '&yue=' + m + '',
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				$('.other').empty();
				var obj = result.rows;

				var html = '';
				for(var i in obj) {
					
					html += '<div class="mui-card">';
					html += '	<div class="mui-card-header">' + obj[i].zy + '</div>';
					html += '	<div class="mui-card-content">';
					html += '		<div class="mui-card-content-inner">';
					html += '			<div class="title mui-row">';
					html += '				<span class="mui-col-xs-4">金额</span>';
					html += '				<span class="mui-col-xs-4">本次扣税</span>';
					html += '				<span class="mui-col-xs-4">实发金额</span>';
					html += '			</div>';
					
					html += '			<div class="title mui-row mui-table-view-cell">';
					html += '				<span class="mui-col-xs-4">' + obj[i].je + '</span>';
					html += '				<span class="mui-col-xs-4">' + obj[i].bcks + '</span>';
					html += '				<span class="mui-col-xs-4">' + obj[i].sfje + '</span>';
					html += '			</div>';
					
					html += '		</div>';
					html += '	</div>';
					html += '</div>';
					
					//html += '<li class="mui-table-view-cell mui-collapse">';
					//html += '	<a class="mui-row mui-navigate-right">';
					//html += '		<span class="mui-col-xs-3">' + obj[i].zy + '</span>';
					//html += '		<span class="mui-col-xs-4">' + obj[i].je + '</span>';
					//html += '		<span class="mui-col-xs-4">' + obj[i].bcks + '</span>';
					//html += '		<span class="mui-col-xs-4">' + obj[i].sfje + '</span>';
					//html += '	</a>';
					//html += '	<div class="mui-collapse-content">' + obj[i].zy + '</div>';
					//html += '</li>';
				}

				$('.qtgz').append(html);
			} else {
				$('.other').empty();
			}
		},
		complete: function() {}
	});
}

//教师个人所得税
function getSDS(t, y, m) {
	//为月份增加前缀0
	if(m<10){
		m='0'+m;
	}
	$.ajax({
		type: "get",
		url: apis.grsds + '?token=' + t + '&nian=' + y + '&yue=' + m + '',
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows[0];
				$('.personal li span').each(function() {
					var _key = $(this).attr('id');
					$('#' + _key).text(obj[_key]);
				})
			} else {
				$('.personal li span').each(function() {
					var _key = $(this).attr('id');
					$('#' + _key).text(0);
				})
			}
		},
		complete: function() {}
	});
}

function remove0(num) {
	if(num[0] == 0) {
		return num[1];
	} else {
		return num;
	}
}

function add0(num) {
	if(num[0] != 0) {
		return '0' + num;
	} else {
		return num;
	}
}