var user_token = '';
var page_flag = '';
var _pageNo = 1;
var _pageSize = 10;
var _flag = false;
var search_xm = '';

function getAll(_no, _size) {
	//console.log(apis.yxbdtj_bdqkpage + '?token=' + user_token + '&pageNo=' + _no + '&pageSize=' + _size + '&bdzt=' + page_flag + '&xm=' + search_xm);
	$.ajax({
		type: "get",
		url: apis.yxbdtj_bdqkpage + '?token=' + user_token + '&pageNo=' + _no + '&pageSize=' + _size + '&bdzt=' + page_flag + '&xm=' + search_xm,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errcode == 0) {
				var obj = result.rowslist;

				if(obj.length > 0) {
					var html = '';
					for(var i in obj) {
						var sj = '';
						if(obj[i].sjh){
							sj = obj[i].sjh;
						}
						html += '<li class="mui-table-view-cell">';
						html += '	<div class="mui-table">';
						html += '		<div class="mui-table-cell">';
						html += '			<div class="mui-ellipsis-2">' + obj[i].xm + '</div>';
						html += '			<p class="mui-h6 mui-ellipsis-2">准考证号：' + obj[i].xszj + '</p>';
						html += '			<h5>' + obj[i].dwbzmc + '</h5>';
						html += '			<h5>手机号:' + sj + '</h5>';
						html += '		</div>';
						html += '	</div>';
						html += '</li>';
					}
					$('ul').append(html);
				} else {
					_flag = true;
				}

				mui('#pullrefresh').pullRefresh().endPullupToRefresh(_flag);
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	page_flag = getlocalStorage('xcbd-tj-detail');

	if(user_token == null || user_token == '') {

	} else {
		console.log('报到状态：' + page_flag);

		$('ul').empty();
		mui.plusReady(function() {
			mui.init({
				pullRefresh: {
					container: '#pullrefresh',
					up: {
						contentrefresh: '正在加载...',
						contentnomore: '没有更多数据了',
						callback: pullupRefresh
					}
				}
			});
			getAll(_pageNo, _pageSize);
		});

		/**
		 * 上拉加载具体业务实现
		 */
		function pullupRefresh() {
			++_pageNo;
			getAll(_pageNo, 10);
		}

		//搜索
		$('#my-search').on('keyup', function() {
			if(event.keyCode == "13") {
				document.activeElement.blur(); //收起虚拟键盘
				
				//TODO 完成搜索事件
				search_xm = $('#my-search').val();
				$('ul').empty();
				_pageNo = 1;
				
				//重置上拉加载
				_flag = false;
				mui('#pullrefresh').pullRefresh().refresh(true);
				
				getAll(_pageNo, _pageSize);

				event.preventDefault(); // 阻止默认事件---阻止页面刷新
			}
		})
	}
})