var user_token = '';

function getAll() {
	$.ajax({
		type: "get",
		url: apis.hxxmnew + '?appid=xmxx&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-collapse">';
					html += '	<a class="mui-navigate-right" href="#">' + obj[i].XMMC + '</a>';
					html += '	<div class="mui-collapse-content mui-row">';
					html += '		<div class="mui-col-xs-5">项目编号</div>';
					html += '		<div class="mui-col-xs-7 mui-ellipsis-2" id="XMBH">' + obj[i].XMBH + '</div>';
					html += '		<div class="mui-col-xs-5">开始日期</div>';
					html += '		<div class="mui-col-xs-7" id="KSRQ">' + obj[i].KSRQ + '</div>';
					html += '		<div class="mui-col-xs-5">结项日期</div>';
					html += '		<div class="mui-col-xs-7" id="JXRQ">' + obj[i].JXRQ + '</div>';
					html += '		<div class="mui-col-xs-5">所属单位</div>';
					html += '		<div class="mui-col-xs-7" id="SSDW">' + obj[i].SSDW + '</div>';
					html += '		<div class="mui-col-xs-5">职工号</div>';
					html += '		<div class="mui-col-xs-7" id="ZGH">' + obj[i].ZGH + '</div>';
					html += '		<div class="mui-col-xs-5">姓名</div>';
					html += '		<div class="mui-col-xs-7" id="XM">' + obj[i].XM + '</div>';
					html += '		<div class="mui-col-xs-5">人员类别</div>';
					html += '		<div class="mui-col-xs-7" id="RYLX">' + obj[i].RYLX + '</div>';
					html += '		<div class="mui-col-xs-5">署名顺序</div>';
					html += '		<div class="mui-col-xs-7" id="SMSX">' + obj[i].SMSX + '</div>';
					html += '		<div class="mui-col-xs-5">立项日期</div>';
					html += '		<div class="mui-col-xs-7" id="LXRQ">' + obj[i].LXRQ + '</div>';
					html += '		<div class="mui-col-xs-5">项目负责人职工号</div>';
					html += '		<div class="mui-col-xs-7" id="XMFZRH">' + obj[i].XMFZRH + '</div>';
					html += '		<div class="mui-col-xs-5">项目负责人姓名</div>';
					html += '		<div class="mui-col-xs-7" id="FZRXM">' + obj[i].FZRXM + '</div>';
					html += '		<div class="mui-col-xs-5">项目批准号</div>';
					html += '		<div class="mui-col-xs-7" id="XMPZH">' + obj[i].XMPZH + '</div>';
					html += '		<div class="mui-col-xs-5">项目来源</div>';
					html += '		<div class="mui-col-xs-7" id="XMLY">' + obj[i].XMLY + '</div>';
					html += '		<div class="mui-col-xs-5">成功形式</div>';
					html += '		<div class="mui-col-xs-7" id="XSCG">' + obj[i].XSCG + '</div>';
					html += '		<div class="mui-col-xs-5">项目状态</div>';
					html += '		<div class="mui-col-xs-7" id="XMZT">' + obj[i].XMZT + '</div>';
					html += '		<div class="mui-col-xs-5">项目级别</div>';
					html += '		<div class="mui-col-xs-7" id="XMJB">' + obj[i].XMJB + '</div>';
					html += '		<div class="mui-col-xs-5">合作形式</div>';
					html += '		<div class="mui-col-xs-7" id="HZXS">' + obj[i].HZXS + '</div>';
					html += '		<div class="mui-col-xs-5">学科门类</div>';
					html += '		<div class="mui-col-xs-7" id="XKML">' + obj[i].XKML + '</div>';
					html += '		<div class="mui-col-xs-5">一级学科</div>';
					html += '		<div class="mui-col-xs-7 mui-ellipsis-2" id="YJLX">' + obj[i].YJLX + '</div>';
					html += '		<div class="mui-col-xs-5">项目分类</div>';
					html += '		<div class="mui-col-xs-7" id="XMFL">' + obj[i].XMFL + '</div>';
					html += '		<div class="mui-col-xs-5">项目经费</div>';
					html += '		<div class="mui-col-xs-7" id="XMJF">' + obj[i].XMJF + '</div>';
					html += '	</div>';
					html += '</li>';

					$('ul').append(html);

					$('.mui-row>div').each(function() {
						if($(this).text() == 'null') {
							$(this).text('暂无数据');
						}
					});
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	if(user_token == null || user_token == '') {

	} else {
		getAll();
	}
});