/**
 * 公示
 */
function getData_gongshi(_url) {
	//console.log(_url)
	$.ajax({
		type: "get",
		url: _url,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				$('.my-lists ul').empty();
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-media" data-title="' + obj[i].title + '" data-href="' + obj[i].id + '">';
					html += '	<a>';
					html += '		<div class="mui-media-body">';
					html += '		<p class="mui-ellipsis-2">' + obj[i].title.trim() + '</p>';
					html += '			<p class="mui-ellipsis">' + obj[i].lastmodified.substring(0, 11) + '</p>';
					html += '		</div>';
					html += '	</a>';
					html += '</li>';

					$('.my-lists ul').append(html)
				}

				$('li').off().on('tap', function(e) {
					var xwid = $(this).attr('data-href');
					var _title = $(this).attr('data-title');
					setlocalStorage('xnxw-id', xwid);
					setlocalStorage('xnxw-type', 'gs');
					var obj = {
						'html': 'xnxw-show.html',
						'title': _title,
						'id': 'xnxwgs-detail'
					}
					
					titleNViewWebview(obj);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

/**
 * 公告
 */
function getData_gonggao(_url) {
	//console.log(_url)
	$.ajax({
		type: "get",
		url: _url,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				$('.my-lists ul').empty();
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-media" data-title="' + obj[i].title + '" data-href="' + obj[i].id + '">';
					html += '	<a>';
					html += '		<div class="mui-media-body">';
					html += '		<p class="mui-ellipsis-2">' + obj[i].title.trim() + '</p>';
					html += '			<p class="mui-ellipsis">' + obj[i].lastmodified.substring(0, 11) + '</p>';
					html += '		</div>';
					html += '	</a>';
					html += '</li>';
	
					$('.my-lists ul').append(html)
				}
	
				$('li').off().on('tap', function(e) {
					var xwid = $(this).attr('data-href');
					var _title = $(this).attr('data-title');
					setlocalStorage('xnxw-id', xwid);
					setlocalStorage('xnxw-type', 'gg');
					var obj = {
						'html': 'xnxw-show.html',
						'title': _title,
						'id': 'xnxwgs-detail'
					}
					
					titleNViewWebview(obj);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

/**
 * 党政文件
 */
function getData_dangzhen(_url) {
	//console.log(_url)
	$.ajax({
		type: "get",
		url: _url,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				$('.my-lists ul').empty();
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-media" data-title="' + obj[i].title + '" data-href="' + obj[i].id + '">';
					html += '	<a>';
					html += '		<div class="mui-media-body">';
					html += '		<p class="mui-ellipsis-2">' + obj[i].title.trim() + '</p>';
					html += '			<p class="mui-ellipsis">' + obj[i].lastmodified.substring(0, 11) + '</p>';
					html += '		</div>';
					html += '	</a>';
					html += '</li>';
	
					$('.my-lists ul').append(html)
				}
	
				$('li').off().on('tap', function(e) {
					var xwid = $(this).attr('data-href');
					var _title = $(this).attr('data-title');
					setlocalStorage('xnxw-id', xwid);
					setlocalStorage('xnxw-type', 'dz');
					var obj = {
						'html': 'xnxw-show.html',
						'title': _title,
						'id': 'xnxwgs-detail'
					}
					
					titleNViewWebview(obj);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

/**
 * 行政文件
 */
function getData_xingzhen(_url) {
	//console.log(_url)
	$.ajax({
		type: "get",
		url: _url,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				$('.my-lists ul').empty();
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-media" data-title="' + obj[i].title + '" data-href="' + obj[i].id + '">';
					html += '	<a>';
					html += '		<div class="mui-media-body">';
					html += '		<p class="mui-ellipsis-2">' + obj[i].title.trim() + '</p>';
					html += '			<p class="mui-ellipsis">' + obj[i].lastmodified.substring(0, 11) + '</p>';
					html += '		</div>';
					html += '	</a>';
					html += '</li>';
	
					$('.my-lists ul').append(html)
				}
	
				$('li').off().on('tap', function(e) {
					var xwid = $(this).attr('data-href');
					var _title = $(this).attr('data-title');
					setlocalStorage('xnxw-id', xwid);
					setlocalStorage('xnxw-type', 'xz');
					var obj = {
						'html': 'xnxw-show.html',
						'title': _title,
						'id': 'xnxwgs-detail'
					}
					
					titleNViewWebview(obj);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	//首次加载显示公示
	var _url = apis.xnxw_gonggao;
	getData_gonggao(_url);
	//点击标签加载内容
	$('.gongshi').on('tap', function(e) {
		_url = apis.xnxw_gongshi;
		getData_gongshi(_url);
	});
	$('.gonggao').on('tap', function(e) {
		_url = apis.xnxw_gonggao;
		getData_gonggao(_url);
	});
	$('.dangzhen').on('tap', function(e) {
		_url = apis.xnxw_dangzhen;
		getData_dangzhen(_url);
	});
	$('.xingzhen').on('tap', function(e) {
		_url = apis.xnxw_xingzhen;
		getData_xingzhen(_url);
	});
	
})