

$(function() {
	$('#xnxw_show').empty();
	mui.plusReady(function() {
		var xwid = window.localStorage.getItem('xnxw-id');
		var xwtype = window.localStorage.getItem('xnxw-type');
		getShowInfo(xwid,xwtype);
	});

})

function getShowInfo(xwid,xwtype) {
	//console.log(apis.xnxw_getXNXWContent_show+'?ID='+xwid+'&xnxwtype='+xwtype)
	$.ajax({
		type: "get",
		url: apis.xnxw_getXNXWContent_show+'?ID='+xwid+'&xnxwtype='+xwtype,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errcode == 0) {
				//渲染详情
				var obj = result.rows;
				if(obj.length > 0) {
					var contentHtml = obj[0].content;
						contentHtml=contentHtml.replaceAll("my.hrbu.edu.cn","app.hrbu.edu.cn:9090/attachment")
						contentHtml=contentHtml.replaceAll("width=","width=100% oldwidth=")
						contentHtml=contentHtml.replaceAll("height=","oldheight=")
						//console.log(contentHtml)
					$('#xnxw_show').html(contentHtml);
				}
				//渲染附件内容
				var fjlist = result.fjrows;
				if(fjlist.length > 0){
					var fjhtml='';
						if(xwtype=='gg' || xwtype=='gs'){
							fjhtml += '<hr>';
							fjhtml += '附件：';
						}
					for(var i=0;i<fjlist.length;i++){
						fjhtml += '<li class="li-margin" id="fj_li" data-href="'+fjlist[i].id+'">';
						fjhtml += '<a>'+fjlist[i].filename+'</a>';
						fjhtml += '</li>';
					}
					$('#xnxw_show_files').html(fjhtml);
					$('#xnxw_show_files li').on('tap', function(e) {
						//测试功能 b
						var fjid = $(this).attr('data-href');
						var fjurl = portal_attachment + fjid;
						 
						//console.log(fjurl)
						plus.nativeUI.confirm('请选择打开方式', function(e) {
							//console.log("e.index: " + e.index);
							if(2 == e.index) {
								mycreateDownload(fjurl)
							}else
							if(0 == e.index) {
								plus.runtime.openURL(fjurl)
							}
						}, "", ["浏览器打开", "关闭", "下载并打开"]);
					})
					
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

// 创建下载任务进行文件下载
//https://www.html5plus.org/doc/zh_cn/runtime.html
function mycreateDownload(gourl) {
	//console.log(gourl)
	mui.showLoading("正在下载文件，请稍后...", "div");
	var dtask = plus.downloader.createDownload(gourl, 
		{}, 
		function(d, status){
			//console.log("Download data: " + d);
			//console.log("Download status: " + status);
			// 下载完成
			if(status == 200){ 
				mui.hideLoading(function() {});
				//console.log("Download success: " + d.filename);
				//console.log("Download success: " + d.downloadedSize);
				//console.log("Download success: " + d.totalSize);
				var newurl = plus.io.convertLocalFileSystemURL(d.filename);
				//console.log("Download success: " + newurl);
				//提示用户是否打开
				plus.nativeUI.confirm('文件下载完成，是否打开?', function(e) {
					if(0 == e.index) {
						plus.runtime.openFile(newurl);
					}
				}, "", ["打开", "关闭"]);
				
				 
			} else {
				 console.log("Download failed: " + status); 
			}
		}
	);
	//dtask.addEventListener("statechanged", onStateChanged, false);
	dtask.start(); 
	
}