var _pageNo = 1;
var _pageSize = 10;
var _flag = false;

$(function() {
	$('ul').empty();
	
	mui.plusReady(function() {
		mui.init({
			pullRefresh: {
				container: '#pullrefresh',
				up: {
					contentrefresh: '正在加载...',
					contentnomore: '没有更多数据了',
					callback: pullupRefresh
				}
			}
		});
		getAll(_pageNo, _pageSize);
	});
	/**
	 * 上拉加载具体业务实现
	 */
	function pullupRefresh() {
		++_pageNo;

		getAll(_pageNo, 10);
	}
})

function getAll(_no, _size) {
	var user_token = getlocalStorage('user-token');
	$.ajax({
		type: "get",
		url: apis.xxts_getList + '?appid=xxts&token=' + user_token + '&pageNo=' + _no + '&pageSize=' + _size,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errcode == 0) {

				var obj = result.rows;

				if(obj.length > 0) {
					var html = '';
					for(var i in obj) {
						html += '<li class="mui-table-view-cell" data-href="' + obj[i].url + '">';
						html += '	<div class="mui-table">';
						html += '		<div class="mui-table-cell">';
						html += '			<div class="mui-ellipsis">' + obj[i].tzbt + '</div>';
						//html += '			<p class="mui-h6 mui-ellipsis-2">' + obj[i].wbsummary + '</p>';
						html += '			<h5 class="mui-text-right">' + obj[i].fbsj.substring(0, 10) + '</h5>';
						html += '		</div>';
						html += '	</div>';
						html += '</li>';
					}
					$('ul').append(html);
				} else {
					_flag = true;
				}

				mui('#pullrefresh').pullRefresh().endPullupToRefresh(_flag);

				$('li').unbind();
				$('li').on('tap', function(e) {
					var _href = $(this).attr('data-href');

					setlocalStorage('tzgg-href', _href);

					var obj = {
						'html': _href,
						'title': '信息推送',
						'id': 'tzgg-detail'
					}
					titleNViewWebview(obj);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}