var user_token = '';

var img_json = {
	data: []
}

//校园风光全部列表
function getAllImg() {
	console.log(apis.xyfg_getxyfg + '?appid=xyfg&token=' + user_token)
	$.ajax({
		type: "get",
		url: apis.xyfg_getxyfg + '?appid=xyfg&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				var obj = result.rows;
				console.log(obj.length);
				for(var i in obj) {
					img_json.data.push({
						'id': obj[i].id,
						'name': obj[i].tpmc,
						'price': obj[i].dzs,
						'src': xyfg_img_url + obj[i].photo,
						'sfdz': obj[i].sfdz
					})
					console.log(img_json.data.length);
				}
				//清理上一次的容器内容
				$('.BoxLeft').html('');
				$('.BoxRight').html('');
				console.log('1234');
				console.log(img_json.data.length);
				for(var i = 0; i < img_json.data.length; i++) {
					var chtml = '<li>';
					chtml += '	<p class="product_picture"><img data-preview-src="" data-preview-group="1" src="' + img_json.data[i].src + '"></p>';
					chtml += '	<p class="product_np">';
					chtml += '		<a>' + img_json.data[i].name + '</a>';
					if(img_json.data[i].sfdz == 1) {
						chtml += '		<a>';
						chtml += '			<span id="' + img_json.data[i].id + '" class="mui-icon iconfont icon-dianzan like"></span>';
						chtml += '			<span id="' + img_json.data[i].id + '-span">' + img_json.data[i].price + '</span>';
						chtml += '		</a>';
					} else {
						chtml += '		<a>';
						chtml += '			<span id="' + img_json.data[i].id + '" class="mui-icon iconfont icon-dianzan"></span>';
						chtml += '			<span id="' + img_json.data[i].id + '-span">' + img_json.data[i].price + '</span>';
						chtml += '		</a>';
					}
					chtml += '	</p>';
					chtml += '</li>';

					if($('.BoxLeft').height() < $('.BoxRight').height()) {
						$('.BoxLeft').append(chtml);
					} else {
						$('.BoxRight').append(chtml);
					}
				}

				mui.previewImage();

				$('li span').on('tap', function() {
					var id = $(this).attr('id');
					dianzan(id);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	getAllImg();
})

function dianzan(id) {
	$.ajax({
		type: "get",
		url: apis.xyfg_dianzan + '?token=' + user_token + '&id=' + id,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				mui.toast(result.errmsg);
				var _val = parseInt($('#' + id).parent().text());
				
				if(result.errmsg == '点赞成功') {
					$('#' + id).addClass('like');
					$('#' + id + '-span').text(_val + 1);
				} else {
					$('#' + id).removeClass('like');
					$('#' + id + '-span').text(_val - 1);
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}