var user_token = null;
var contentTops = [];
var timeout = 0;
var menu_list = [];
var edit_flag = 0;

function tabScroll() {
	$('.mui-control-content').each(function(index) {
		var obj = {
			'index': index,
			'offsetTop': $(this).offset().top - 272
		}
		contentTops.push(obj);
	});

	$('.mui-control-item').each(function(index) {
		$(this).on('tap', function(e) {
			$('#segmentedControlContents').animate({
				'scrollTop': contentTops[index].offsetTop
			}, 500);
		});
	});

	//长摁抖动
	/*	if(flag == 1) {
			$('.mui-table-view-cell').on('touchstart', function(e) {
				e.stopPropagation();
				timeout = setTimeout(function() {
					$('.mui-table-view-cell[data-systype != "1"] img').addClass('my-shake');
					//$('.edit-btn').show();
					$('.item-action').show();
				}, 1000);
			});
			$('.mui-table-view-cell').on('touchend', function(e) {
				e.stopPropagation();
				clearTimeout(timeout);
			});
		}*/

	$('li').off().on('tap', function(e) {
		if(edit_flag == 0) {
			if($(this).attr('data-html')) {
				var viewTitle = $(this).attr('data-title');
				var obj = {
					'html': $(this).attr('data-html'),
					'title': viewTitle,
					'id': 'yyzx-list'
				}
				//特殊应用的右上按钮处理
				if(viewTitle=='失物招领'){
					titleNViewWebviewBtn(obj,{
						text: '发布',
						float: 'right',
						fontSize:'14px',
						onclick: function() {
							titleNViewWebview({
								'html': 'swzl_menu.html',
								'title': '发布失物招领 ',
								'id': 'swzl_menu'
							});
						}
					});
				}else{
					//通用
					titleNViewWebview(obj);
				}
				
				
			} else {
				mui.alert('该应用需要登录后才可使用', '提示', '关闭', function() {
					//console.log('返回xcbd.html');
				});
			}
		}
	})
}

//未登录状态下系统应用
function getSysApp() {
	$.ajax({
		type: "get",
		url: apis.app_sys,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.errorcode == 1) {
				$('.my-menu ul').empty();

				var html = '';
				for(var i in result.data) {
					if(result.data[i].openType==1){
						//内部应用内部设计好的应用内容
						html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-html="' + result.data[i].link + '.html" data-title="' + result.data[i].name + '">';
						html += '	<a>';
						html += '		<img src="../icon/' + result.data[i].link + '.png">';
						html += '		<div class="mui-media-body">' + result.data[i].name + '</div>';
						html += '	</a>';
						html += '</li>';
					}else{
						//外部应用（icon和url都是互联网上的）
						html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-html="' + result.data[i].link + '" data-title="' + result.data[i].name + '">';
						html += '	<a>';
						html += '		<img src="' + result.data[i].icon + '">';
						html += '		<div class="mui-media-body">' + result.data[i].name + '</div>';
						html += '	</a>';
						html += '</li>';
					}

					
				}

				$('.my-menu ul').append(html);
			}
		},
		complete: function() {

		}
	});
}

//未登录状态下获取所有App
function getSysAll() {
	$.ajax({
		type: "get",
		url: apis.app_all,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.errorcode == 1) {
				//获取应用类别分类				
				for(var i in result.data) {
					if(!isDuplicate(result.data[i].appType)) {
						menu_list.push(result.data[i].appType);
					}
				}

				//添加类别分类
				$('#segmentedControls>div').empty();
				var menu_list_html = '';
				for(var i in menu_list) {
					if(i == 0) {
						menu_list_html += '<a class="mui-control-item mui-active" href="#item' + i + '"><span>' + menu_list[i] + '</span></a>';
					} else {
						menu_list_html += '<a class="mui-control-item" href="#item' + i + '"><span>' + menu_list[i] + '</span></a>';
					}
				}
				$('#segmentedControls>div').append(menu_list_html);

				//添加类别分类内容外层
				$('#segmentedControlContents').empty();
				var menu_content_html = '';
				for(var i in menu_list) {
					menu_content_html += '<div id="item' + i + '" class="mui-control-content">';
					menu_content_html += '	<div class="menu-title">';
					menu_content_html += '		<span></span>';
					menu_content_html += '		<span>' + menu_list[i] + '</span>';
					menu_content_html += '	</div>';
					menu_content_html += '	<ul class="mui-table-view mui-grid-view mui-grid-9 ul-' + menu_list[i] + '">';
					menu_content_html += '	</ul>';
					menu_content_html += '</div>';
				}
				$('#segmentedControlContents').append(menu_content_html);

				//添加类别分类内容内层应用
				for(var i in result.data) {
					
					var html = '';
					html += '<li class="mui-table-view-cell mui-media mui-col-xs-3">';
					html += '	<a>';
					if(result.data[i].openType==1){
						html += '		<img src="../icon/' + result.data[i].link + '.png">';
					}else{
						html += '		<img src="' + result.data[i].icon + '">';
					}
					html += '		<div class="mui-media-body">' + result.data[i].name + '</div>';
					html += '	</a>';
					html += '</li>';
					
					$('.ul-' + result.data[i].appType).append(html);
				}

				tabScroll();
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

//登陆状态下收藏app和系统应用
//sysType 1 系统应用 0 其他应用
function getUserAndSys() {
	var sys_arrs = [];
	var user_arrs = [];
	$.ajax({
		type: "get",
		url: apis.app_sys,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.errorcode == 1) {
				sys_arrs = result.data;
				$.ajax({
					type: "get",
					url: apis.collectapp + '?token=' + user_token,
					dataType: "json",
					cache: false, //缓存
					async: true, //异步
					data: {},
					beforeSend: function() {},
					success: function(result) {
						if(result.errorcode == 1) {
							user_arrs = result.data;

							$('.my-menu ul').empty();

							var sys_html = '';
							for(var i in sys_arrs) {
								if(sys_arrs[i].openType==1){
									sys_html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-systype="' + sys_arrs[i].sysType + '" data-html="' + sys_arrs[i].link + '.html" data-title="' + sys_arrs[i].name + '">';
									sys_html += '	<a>';
									sys_html += '		<img src="../icon/' + sys_arrs[i].link + '.png">';
									sys_html += '		<div class="mui-media-body">' + sys_arrs[i].name + '</div>';
									sys_html += '	</a>';
									sys_html += '</li>';
								}else{
									sys_html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-systype="' + sys_arrs[i].sysType + '" data-html="' + sys_arrs[i].link + '" data-title="' + sys_arrs[i].name + '">';
									sys_html += '	<a>';
									sys_html += '		<img src="' + sys_arrs[i].icon + '">';
									sys_html += '		<div class="mui-media-body">' + sys_arrs[i].name + '</div>';
									sys_html += '	</a>';
									sys_html += '</li>';
								}
							}

							$('.my-menu ul').append(sys_html);

							var user_html = '';
							for(var i in user_arrs) {
								if(user_arrs[i].openType==1){
									if (user_arrs[i].link == 'tzgg') {
										user_html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-id="' + user_arrs[i].id + '" data-systype="' + user_arrs[i].sysType + '" data-html="tzgg-list.html" data-title="' + user_arrs[i].name + '">';
									} else{
										user_html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-id="' + user_arrs[i].id + '" data-systype="' + user_arrs[i].sysType + '" data-html="' + user_arrs[i].link + '.html" data-title="' + user_arrs[i].name + '">';
									}
									user_html += '	<a>';
									user_html += '		<img src="../icon/' + user_arrs[i].link + '.png">';
									user_html += '		<div class="mui-media-body">' + user_arrs[i].name + '</div>';
									user_html += '		<span class="item-action del" onclick="del(this)">-</span>';
									user_html += '	</a>';
									user_html += '</li>';
								}else{
									user_html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-id="' + user_arrs[i].id + '" data-systype="' + user_arrs[i].sysType + '" data-html="' + user_arrs[i].link + '" data-title="' + user_arrs[i].name + '">';
									user_html += '	<a>';
									user_html += '		<img src="' + user_arrs[i].icon + '">';
									user_html += '		<div class="mui-media-body">' + user_arrs[i].name + '</div>';
									user_html += '		<span class="item-action del" onclick="del(this)">-</span>';
									user_html += '	</a>';
									user_html += '</li>';
								}
							}

							$('.my-menu ul').append(user_html);

							//tabScroll();

							getUserAll();
						}
					},
					complete: function() {}
				});
			}
		},
		complete: function() {

		}
	});

}

//登陆状态下所有app
function getUserAll() {
	$.ajax({
		type: "get",
		url: apis.app + '?token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.errorcode == 1) {
				//获取应用类别分类				
				for(var i in result.data) {
					if(!isDuplicate(result.data[i].appType)) {
						menu_list.push(result.data[i].appType);
					}
				}

				//添加类别分类
				$('#segmentedControls>div').empty();
				var menu_list_html = '';
				for(var i in menu_list) {
					if(i == 0) {
						menu_list_html += '<a class="mui-control-item mui-active" href="#item' + i + '"><span>' + menu_list[i] + '</span></a>';
					} else {
						menu_list_html += '<a class="mui-control-item" href="#item' + i + '"><span>' + menu_list[i] + '</span></a>';
					}
				}
				$('#segmentedControls>div').append(menu_list_html);

				//添加类别分类内容外层
				$('#segmentedControlContents').empty();
				var menu_content_html = '';
				for(var i in menu_list) {
					menu_content_html += '<div id="item' + i + '" class="mui-control-content">';
					menu_content_html += '	<div class="menu-title">';
					menu_content_html += '		<span></span>';
					menu_content_html += '		<span>' + menu_list[i] + '</span>';
					menu_content_html += '	</div>';
					menu_content_html += '	<ul class="mui-table-view mui-grid-view mui-grid-9 ul-' + menu_list[i] + '">';
					menu_content_html += '	</ul>';
					menu_content_html += '</div>';
				}
				$('#segmentedControlContents').append(menu_content_html);

				//添加类别分类内容内层应用
				for(var i in result.data) {
					var html = '';
					if(result.data[i].openType==1){
						if (result.data[i].link == 'tzgg') {
							html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-id="' + result.data[i].id + '" data-systype="' + result.data[i].sysType + '" data-html="tzgg-list.html" data-title="' + result.data[i].name + '">';
						} else{
							html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-id="' + result.data[i].id + '" data-systype="' + result.data[i].sysType + '" data-html="' + result.data[i].link + '.html" data-title="' + result.data[i].name + '">';
						}
						html += '	<a>';
						html += '		<img src="../icon/' + result.data[i].link + '.png">';
						html += '		<div class="mui-media-body">' + result.data[i].name + '</div>';
						if(result.data[i].isCol == 0) {
							html += '		<span class="item-action add" onclick="add(this)">+</span>';
						} else {
							html += '		<span class="item-action del" onclick="del(this)">-</span>';
						}
						html += '	</a>';
						html += '</li>';
					}else{
						html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-id="' + result.data[i].id + '" data-systype="' + result.data[i].sysType + '" data-html="' + result.data[i].link + '" data-title="' + result.data[i].name + '">';
						html += '	<a>';
						html += '		<img src="' + result.data[i].icon + '">';
						html += '		<div class="mui-media-body">' + result.data[i].name + '</div>';
						if(result.data[i].isCol == 0) {
							html += '		<span class="item-action add" onclick="add(this)">+</span>';
						} else {
							html += '		<span class="item-action del" onclick="del(this)">-</span>';
						}
						html += '	</a>';
						html += '</li>';
					}
					$('.ul-' + result.data[i].appType).append(html);
				}

				tabScroll();
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

//新增收藏app
function add(e) {
	var add_id = $(e).parent().parent().attr('data-id');
	$(e).after('<span class="item-action del" onclick="del(this)" style="display: inline;">-</span>');
	var add_html = '';
	add_html = $(e).parent().parent().prop("outerHTML");
	$(e).remove();
	$('.my-menu ul').append(add_html);
	//console.log('add');

	$.ajax({
		type: "post",
		url: apis.collectapp_add,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		contentType: "application/json",
		data: JSON.stringify({
			'appId': add_id,
			'token': user_token
		}),
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errorcode == 1) {
				$('li').unbind();
				$('li').on('tap', function(e) {
					if(edit_flag == 0) {
						if($(this).attr('data-html')) {
							var obj = {
								'html': $(this).attr('data-html'),
								'title': $(this).attr('data-title'),
								'id': 'yyzx-list'
							}
							
							titleNViewWebview(obj)
						}
					}
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

//删除收藏app
function del(e) {
	var del_id = '';
	if($(e).parents().hasClass('all-menu')) {
		del_id = $(e).parent().parent().attr('data-id');
		$('.my-menu ul li[data-id="' + del_id + '"]').remove();
		$(e).after('<span class="item-action add" onclick="add(this)" style="display: inline;">+</span>');
		$(e).remove();
		//console.log('del-bottom');
	} else {
		del_id = $(e).parent().parent().attr('data-id');
		$('.all-menu ul li[data-id="' + del_id + '"] span').after('<span class="item-action add" onclick="add(this)" style="display: inline;">+</span>');
		$('.all-menu ul li[data-id="' + del_id + '"] span.del').remove();
		$(e).parent().parent().remove();
		//console.log('del-top');
	}

	$.ajax({
		type: "post",
		url: apis.collectapp_del,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		contentType: "application/json",
		data: JSON.stringify({
			'appId': del_id,
			'token': user_token
		}),
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errorcode == 1) {
				$('li').unbind();
				$('li').on('tap', function(e) {
					if(edit_flag == 0) {
						if($(this).attr('data-html')) {
							var obj = {
								'html': $(this).attr('data-html'),
								'title': $(this).attr('data-title'),
								'id': 'yyzx-list'
							}
							
							titleNViewWebview(obj)
						}
					}
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

//完成
function finishApp() {
	$('.mui-table-view-cell[data-systype != "1"] img').removeClass('my-shake');
	$('#menu-edit').show();
	$('#menu-finish').hide();
	$('.item-action').hide();
	edit_flag = 0;
}

//编辑
function editApp() {
	$('#menu-edit').hide();
	$('#menu-finish').show();
	edit_flag = 1;
	$('.mui-table-view-cell[data-systype != "1"] img').addClass('my-shake');
	$('.item-action').show();
}

$(function() {
	mui.showLoading("正在加载", "div");
	
	user_token = getlocalStorage('user-token');
	if(user_token == null || user_token == '') {
		getSysApp();
		getSysAll();
	} else {
		getUserAndSys();
		//getUserAll();
		$('#menu-edit').show()
	}
});

//去重
function isDuplicate(id) {
	for(var index in menu_list) {
		if(menu_list[index] == id) {
			return true;
		}
	}
	return false;
}