var user_token = '';
var _year = '';
var _qdxn = '';
var _qdxq = '';

(function($, doc) {
	user_token = getlocalStorage('user-token');

	if(user_token == null || user_token == '') {

	} else {
		var myDate = new Date;
		_year = myDate.getFullYear();
		var btns = $('.top')[0]
		var result = doc.getElementById('result');
		result.innerText = _year + '第一学期';
		_qdxn = _year;
		_qdxq = '第一学期';

		getData();

		$.init();
		$.ready(function() {
			//普通示例
			var userPicker = new $.PopPicker();
			userPicker.setData(returnTopData());

			btns.addEventListener('tap', function(event) {
				userPicker.show(function(items) {
					result.innerText = items[0].text;
					_qdxn = items[0].qdxn;
					_qdxq = items[0].qdxq;
					getData();
				});
			}, false);
		});
	}

})(mui, document);

//返回下拉框数据
function returnTopData() {
	var topData = [];
	var xq = ['第一学期', '第二学期'];

	//默认取当前4年展示
	for(var j = 0; j < 4; j++) {
		for(var i in xq) {
			topData.push({
				'qdxn': _year - j,
				'qdxq': xq[i],
				'text': _year - j + '-' + xq[i]
			})
		}
	}

	return topData;
}

function getData() {
	$.ajax({
		type: "get",
		url: apis.cjxx + '?token=' + user_token + '&qdxn=' + _qdxn + '&qdxq=' + _qdxq,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows;

				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell">';
					html += '	<div class="mui-table">';
					html += '		<div class="mui-table-cell mui-col-xs-10">';
					html += '			<h4 class="mui-ellipsis">' + obj[i].kcmc + '</h4>';
					html += '			<h5>' + obj[i].kclb1 + '</h5>';
					html += '			<p class="mui-h6 mui-ellipsis">绩点：' + obj[i].jd + '</p>';
					html += '		</div>';
					html += '		<div class="mui-table-cell mui-col-xs-2 mui-text-right">';
					html += '			<span class="mui-h5">' + obj[i].kscj + '</span>';
					html += '		</div>';
					html += '	</div>';
					html += '</li>';

					$('#lists').append(html)
				}
			} else {
				$('#lists').empty();
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}