var _pageNo = 1;
var _pageSize = 10;
var _flag = false;

$(function() {
	$('ul').empty();
	mui.plusReady(function() {
		mui.init({
			pullRefresh: {
				container: '#pullrefresh',
				up: {
					contentrefresh: '正在加载...',
					contentnomore: '没有更多数据了',
					callback: pullupRefresh
				}
			}
		});
		
		getAll(_pageNo, _pageSize);
	});

	/**
	 * 上拉加载具体业务实现
	 */
	function pullupRefresh() {
		++_pageNo;

		getAll(_pageNo, 10);
	}
})

function getAll(_no, _size) {
	$.ajax({
		type: "get",
		url: apis.gzrc_url + '?appid=tzgg&pageNo=' + _no + '&pageSize=' + _size,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errcode == 0) {
				var obj = result.rows;

				if(obj.length > 0) {
					var html = '';
					for(var i in obj) {
						html += '<li class="mui-table-view-cell" data-href="' + obj[i].id + '">';
						html += '	<div class="mui-table">';
						html += '		<div class="mui-table-cell">';
						html += '			<div class="mui-ellipsis-2">' + obj[i].title + '</div>';
						//html += '			<p class="mui-h6 mui-ellipsis-2">' + obj[i].lastmodified.substring(0, 10) + '</p>';
						
						html += '		</div>';
						html += '	</div>';
						html += '</li>';
					}
					$('ul').append(html);
				} else {
					_flag = true;
				}

				mui('#pullrefresh').pullRefresh().endPullupToRefresh(_flag);

				$('li').unbind();
				$('li').on('tap', function(e) {
					var xxid = $(this).attr('data-href');
					setlocalStorage('gzrc-id', xxid);
					var obj = {
						'html': 'gzrc-show.html',
						'title': '周工作日程',
						'id': 'gzrc-show'
					}
					titleNViewWebview(obj);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}


