

$(function() {
	$('#gzrc_show').empty();
	mui.plusReady(function() {
		var gzrcid = window.localStorage.getItem('gzrc-id');
		getShowInfo(gzrcid);
		
	});

})

function getShowInfo(gzrcid) {
	$.ajax({
		type: "get",
		url: apis.gzrcshow_url+'?ID='+gzrcid,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			//console.log(result)
			if(result.errcode == 0) {
				var obj = result.rows;
				if(obj.length > 0) {
					$('#gzrc_show').html(obj[0].content);
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}