//轮播图
function InitSlider() {
	$.ajax({
		type: "get",
		url: apis.img,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.errorcode == 1) {
				$('.mui-slider-group').empty();
				var html = '';
				if(result.data.length > 1) {
					html = '';

					//额外增加的一个节点(循环轮播：第一个节点是最后一张轮播)
					html += '<div class="mui-slider-item mui-slider-item-duplicate">';
					html += '	<img src="' + home_img_url + result.data[result.data.length - 1].imgLink + '">';
					html += '</div>';

					for(var i in result.data) {
						html += '<div class="mui-slider-item">';
						html += '	<img src="' + home_img_url + result.data[i].imgLink + '">';
						html += '</div>';
					}

					//额外增加的一个节点(循环轮播：最后一个节点是第一张轮播)
					html += '<div class="mui-slider-item mui-slider-item-duplicate">';
					html += '	<img src="' + home_img_url + result.data[0].imgLink + '">';
					html += '</div>';

					$('.mui-slider-group').append(html);

					//获得slider插件对象
					var gallery = mui('.mui-slider');
					gallery.slider({
						interval: 3000 //自动轮播周期，若为0则不自动播放，默认为0；
					});
				} else {
					html = '';
					html += '<div class="mui-slider-item">';
					html += '	<img src="' + home_img_url + result.data[i].imgLink + '">';
					html += '</div>';

					$('.mui-slider-group').append(html);
				}
			}
		},
		complete: function() {}
	});
}

//系统应用
function getSysApp() {
	$.ajax({
		type: "get",
		url: apis.app_sys,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.errorcode == 1) {
				$('.menu ul').empty();

				var html = '';
				for(var i in result.data) {
					html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-html="' + result.data[i].link + '.html" data-title="' + result.data[i].name + '">';
					html += '	<a>';
					html += '		<img src="../icon/' + result.data[i].link + '.png">';
					html += '		<div class="mui-media-body">' + result.data[i].name + '</div>';
					html += '	</a>';
					html += '</li>';
				}
				//根据登录条件展示应用
				//未登录禁止查看该应用，具体数据权限在后台数据调用处处理
				user_token = getlocalStorage('user-token');
				if(user_token == null || user_token == '') {
					
				} else {
					//模拟增加临时应用
					html += '<li class="mui-table-view-cell mui-media mui-col-xs-3" data-html="xnxw-list.html" data-title="校内资讯">';
					html += '	<a>';
					html += '		<img src="../icon/lwxx.png">';
					html += '		<div class="mui-media-body">校内资讯</div>';
					html += '	</a>';
					html += '</li>';
				}
				
				$('.menu ul').append(html);
				
				getNew();
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

//最新通知
function getNew() {
	$.ajax({
		type: "get",
		url: apis.zxtzgg_getzxtzgg,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {},
		success: function(result) {
			if(result.code == 200) {
				$('.notice .bottom').text(result.rows[0].wbtitle);

				$('li, .notice').on('tap', function(e) {
					if($(this).attr('data-html')) {
						var obj = {
							'html': $(this).attr('data-html'),
							'title': $(this).attr('data-title'),
							'id': 'xyzx'
						}
						
						titleNViewWebview(obj);
					}
				})
			}
		},
		complete: function() {

		}
	});
}

$(function() {
	mui.showLoading("正在加载", "div");
	InitSlider();
	getSysApp();
})

