var user_token = '';
var active_id = '';
var kb_obj = [];
var new_kb_obj = [];

//初始化表格
function InitTable() {
	new_kb_obj = [];
	$('table tbody').empty();

	var html = '';
	for(var i = 0; i < 12; i++) {
		html += '<tr>';
		html += '	<td>' + (i + 1) + '</td>';
		html += '	<td data-flag="0,' + (i + 1) + '"></td>';
		html += '	<td data-flag="1,' + (i + 1) + '"></td>';
		html += '	<td data-flag="2,' + (i + 1) + '"></td>';
		html += '	<td data-flag="3,' + (i + 1) + '"></td>';
		html += '	<td data-flag="4,' + (i + 1) + '"></td>';
		html += '	<td data-flag="5,' + (i + 1) + '"></td>';
		html += '	<td data-flag="6,' + (i + 1) + '"></td>';
		html += '</tr>';
	}
	$('table tbody').append(html);

	InitData();

	$('td').each(function() {
		for(var i in new_kb_obj) {
			if($(this).attr('data-flag') == new_kb_obj[i].location) {
				$(this).text(new_kb_obj[i].txt);
				$(this).attr('id', new_kb_obj[i].id);
			}
		}
	});

	mergeTableCell()

	$('table tbody td').each(function() {
		if($(this).attr('id') != '' && $(this).attr('id') != undefined) {
			$(this).on('tap', function() {
				var td_id = $(this).attr('id');
				var obj = {};
				for(var i in kb_obj) {
					if(kb_obj[i].id == td_id) {
						obj = {
							'base_data': {
								'html': 'xskb-detail.html',
								'title': '课表详情',
								'id': 'xskb-detail'
							},
							'send_data': {
								'target_txt': kb_obj[i].txt,
								'target_jiaoshi': kb_obj[i].jiaoshi,
								'target_zhoushu': kb_obj[i].zhoushu,
								'target_jieshu': kb_obj[i].jieshu,
								'target_teacher': kb_obj[i].teacher,
								'target_kclx': kb_obj[i].kclx,
								'target_jkfs': kb_obj[i].jkfs,
								'target_khfs': kb_obj[i].khfs,
								'target_xuefen': kb_obj[i].xuefen
							}
						}
					}
				}
				imgNViewWebview(obj);
			})
		}
	});
}

//初始化数据

function InitData() {
	for(var i in kb_obj) {
		if(kb_obj[i].row.indexOf(',') != -1) {
			var _arr = kb_obj[i].row.split(',');
			for(var j in _arr) {
				var _obj = {
					'location': kb_obj[i].col + ',' + _arr[j],
					'txt': kb_obj[i].txt,
					'id': kb_obj[i].id
				}
				new_kb_obj.push(_obj);
			}
		} else {
			var _obj = {
				'location': kb_obj[i].col + ',' + kb_obj[i].row,
				'txt': kb_obj[i].txt,
				'id': kb_obj[i].id
			}
			new_kb_obj.push(_obj);
		}
	}
}

//合并表格并配色
function mergeTableCell() {
	var _mergeCol = [];
	var _mergeRows = [];

	for(var index in kb_obj) {
		if(kb_obj[index].row.indexOf(',') != -1) {
			_mergeCol.push(kb_obj[index].col + 1)

			var old_temp = kb_obj[index].row.split(',');
			var new_temp = [];
			for(var i in old_temp) {
				var a = old_temp[i] - 1;
				new_temp.push(a);
			}

			_mergeRows.push(new_temp)
		}
	}

	$('#my-table').tablesMergeCell({
		automatic: false,
		cols: _mergeCol,
		rows: _mergeRows
	});

	randomColor();

	// 随机颜色
	function randomColor() {
		$('tr td:not(:first-child)').each(function() {
			if($(this).html().trim() != '') {
				$(this).css("background", getRandomColor());
			}
		});

		function getRandomColor() {
			var c = '#';
			var cArray = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'];
			for(var i = 0; i < 6; i++) {
				var cIndex = Math.round(Math.random() * 15);
				c += cArray[cIndex];
			}
			return c;
		}
	}
}

//课表-周次
function getZC() {
	$.ajax({
		type: "get",
		url: apis.zc_queryzc + '?appid=jskb&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				var menu_title = result.dqxq;
				$('#result').text(menu_title);
				var menu_obj = result.kbxxzclist;

				//周列表
				$('#segmentedControls>div').empty();
				var menu_html = '';
				for(var i in menu_obj) {
					if(menu_obj[i].dq == 1) {
						active_id = menu_obj[i].id;

						menu_html += '<a id="' + menu_obj[i].id + '" class="mui-control-item mui-active">';
						menu_html += '	<div>' + menu_obj[i].mc + '</div>';
						menu_html += '	<div>(本周)</div>';
						menu_html += '</a>';
					} else {
						menu_html += '<a id="' + menu_obj[i].id + '" class="mui-control-item">';
						menu_html += '	<div>' + menu_obj[i].mc + '</div>';
						menu_html += '</a>';
					}
				}
				$('#segmentedControls>div').append(menu_html);

				getKB(active_id);

				$('#segmentedControls .mui-scroll a').on('tap', function() {
					var _id = $(this).attr('id');
					getKB(_id);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

//课表-数据
function getKB(id) {
	$.ajax({
		type: "get",
		url: apis.kebiao_queryKeBiao_js + '?token=' + user_token + '&zcid=' + id,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				kb_obj = [];
				for(var i in result.jskblist) {
					kb_obj.push({
						'id': guid(),
						'col': result.jskblist[i].xqj - 1,
						'row': remove0(result.jskblist[i].jcanalyse),
						'txt': result.jskblist[i].kcmc,
						'jiaoshi': result.jskblist[i].room,
						'zhoushu': formatdsz(result.jskblist[i].dsz),
						'jieshu': '周' + result.jskblist[i].xqj + ' ' + remove0(result.jskblist[i].jcanalyse) + '节',
						'teacher': result.jskblist[i].zjjs_XM,
						'kclx': result.jskblist[i].kclb1MC,
						'jkfs': result.jskblist[i].kc_FLAG,
						'khfs': result.jskblist[i].khfs,
						'xuefen': result.jskblist[i].xf
					});
				}

				InitTable();
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	if(user_token == null || user_token == '') {

	} else {
		getZC();
	}
})

//去零
function remove0(_string) {
	var _arr = _string.split(',');
	for(var i in _arr) {
		if(_arr[i][0] == 0) {
			_arr[i] = _arr[i][1];
		}
	}
	return _arr.toString()
}

//0全周、1单周、2双周
function formatdsz(num) {
	if(num == 0) {
		return '全周';
	} else if(num == 1) {
		return '单周';
	} else {
		return '双周';
	}
}

// 带标题栏控件的Webview窗口
var imgview = null;

function imgNViewWebview(obj) {
	imgview = plus.webview.create(obj.base_data.html, obj.base_data.id, {
		scalable:true,
		'titleNView': {
			'backgroundColor': '#FF952A',
			'titleText': obj.base_data.title,
			'titleColor': '#FFFFFF',
			//'autoBackButton': true,
			'buttons': [{
				text: '<',
				float: 'left',
				onclick: function() {
					plus.webview.getWebviewById(obj.base_data.id).close();
				}
			}]
		}
	});

	imgview.show('slide-in-right');

	imgview.addEventListener('close', function(e) {
		//		webview = null;
		imgview.close();
		//console.log('返回上一页');
	});

	imgview.addEventListener('titleUpdate', function(e) {
		mui.fire(imgview, 'send', obj.send_data)
		imgview.show();
		//console.log('Update title: ' + e.title);
	});
}