var search_obj = {
	'zc': 0,
	'xq': 0
}

var base_obj = {
	'html': 'kxjs-detail.html',
	'title': '空闲教室',
	'id': 'kxjs-detail'
}

function getZC() {
	$.ajax({
		type: "get",
		url: apis.kxjs_getKxjsJXZ,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.jxzList.length > 0) {
				$('#zc-action ul:first-child').empty();

				var obj = result.jxzList;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell">';
					html += '	<a data-id="zc" data-value="' + obj[i].zc + '">' + obj[i].mc + '</a>';
					html += '</li>';

					$('#zc-action ul:first-child').append(html);
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	getZC();

	mui('body').on('shown', '.mui-popover', function(e) {
		//detail为当前popover元素
		//console.log('shown', e.detail.id);
	});

	mui('body').on('hidden', '.mui-popover', function(e) {
		//detail为当前popover元素
		//console.log('hidden', e.detail.id);
	});

	mui('body').on('tap', '.mui-popover-action li>a', function() {
		var a = this,
			parent;
		//根据点击按钮，反推当前是哪个actionsheet
		for(parent = a.parentNode; parent != document.body; parent = parent.parentNode) {
			if(parent.classList.contains('mui-popover-action')) {
				break;
			}
		}
		//关闭actionsheet
		mui('#' + parent.id).popover('toggle');
		var _id = $(a).attr('data-id');
		var _val = parseInt($(a).attr('data-value'));
		var _text = $(a).text();

		if(_id != undefined) {
			$('#' + _id).text(_text);
			search_obj[_id] = _val;
		}

	});

	$('#search-btn').on('tap', function() {
		imgNViewWebview(base_obj);
	})
})

// 带标题栏控件的Webview窗口
var imgview = null;

function imgNViewWebview(obj) {
	imgview = plus.webview.create(obj.html, obj.id, {
		scalable:true,
		'titleNView': {
			'backgroundColor': '#FF952A',
			'titleText': obj.title,
			'titleColor': '#FFFFFF',
			//'autoBackButton': true,
			'buttons': [{
				text: '<',
				float: 'left',
				onclick: function() {
					plus.webview.getWebviewById(obj.id).close();
				}
			}]
		}
	});

	imgview.show('slide-in-right');

	imgview.addEventListener('close', function(e) {
		//		webview = null;
		imgview.close();
		//console.log('返回上一页');
	});

	imgview.addEventListener('titleUpdate', function(e) {
		mui.fire(imgview, 'send', search_obj)
		imgview.show();
		//console.log('Update title: ' + e.title);
	});
}