var user_token = '';
var targetId = '';
var targetName = '';
$(function() {
	mui.init();

	user_token = getlocalStorage('user-token');

	// 添加send自定义事件监听
	window.addEventListener('send', function(event) {
		//获得事件参数
		targetId = event.detail.targetId;
		targetName = event.detail.targetName;

		getDetail(targetId)
	});

	document.getElementById("add-toastBtn").addEventListener('tap', function() {
		var _url = apis.hy_shoucang;
		var _flag = 1;
		actionCollect(_url, _flag);
	});

	document.getElementById("del-toastBtn").addEventListener('tap', function() {
		var _url = apis.hy_qxgrshoucang;
		var _flag = 0;
		actionCollect(_url, _flag);
	});
})

function getDetail(_id) {
	
	$.ajax({
		type: "get",
		url: apis.hy_ksxq + '?id=' + _id + '&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				$('#MC').text(result.rows[0].MC);
				$('#LS').text(targetName);
				$('#T1').text(result.rows[0].T1);
				$('#T2').text(result.rows[0].T2);
				$('#T3').text(result.rows[0].T3);
				$('#T4').text(result.rows[0].T4);
				$('#F1').text(result.rows[0].F1);
				$('#F2').text(result.rows[0].F2);
				$('#F3').text(result.rows[0].F3);
				$('#F4').text(result.rows[0].F4);
				//$('.tel-a').attr('href', 'tel:' + result.rows[0].T1);
				
				//对无电话好的行进行隐藏
				$('h4').each(function() {
					if($(this).text().trim() == '') {
						//$(this).text('无');
						$(this).parent().parent().parent().remove();
					}
				});
				//设置拨打电话
				$(".mui-table-view-cell").on('tap','.call',function(e){
					plus.runtime.openURL("tel:"+$(this).text());
				});
				//on(eventType: String, selector: String, data: Object, handler: Function(jQuery.Event)): jQuery.fn
				
				//收藏按钮处理
				if(user_token == null || user_token == '') {
					$('#add-toastBtn,#del-toastBtn').hide();
				} else {
					if(result.message == 0) {
						$('#add-toastBtn').show();
					} else if(result.message == 1) {
						$('#del-toastBtn').show();
					} else {
						$('#add-toastBtn,#del-toastBtn').hide();
					}
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

function actionCollect(_url, flag) {
	$.ajax({
		type: "get",
		url: _url + '?hyid=' + targetId + '&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				if(flag == 1) {
					mui.toast('收藏成功');
					$('#add-toastBtn').hide();
					$('#del-toastBtn').show();
				} else {
					mui.toast('取消收藏');
					$('#add-toastBtn').show();
					$('#del-toastBtn').hide();
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}