var user_token = '';

function getAll() {
	$.ajax({
		type: "get",
		url: apis.lwnew + '?appid=lwxx&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-collapse">';
					html += '	<a class="mui-navigate-right" href="#">' + obj[i].LWZWMC + '</a>';
					html += '	<div class="mui-collapse-content mui-row">';
					html += '		<div class="mui-col-xs-5">职工号</div>';
					html += '		<div class="mui-col-xs-7" id="ZGH">' + obj[i].ZGH + '</div>';
					html += '		<div class="mui-col-xs-5">姓名</div>';
					html += '		<div class="mui-col-xs-7" id="XM">' + obj[i].XM + '</div>';
					html += '		<div class="mui-col-xs-5">论文编号</div>';
					html += '		<div class="mui-col-xs-7 mui-ellipsis-2" id="LWBH">' + obj[i].LWBH + '</div>';
					html += '		<div class="mui-col-xs-5">所属单位</div>';
					html += '		<div class="mui-col-xs-7" id="SSDW">' + obj[i].SSDW + '</div>';
					html += '		<div class="mui-col-xs-5">发表刊物名称</div>';
					html += '		<div class="mui-col-xs-7" id="KWMC">' + obj[i].KWMC + '</div>';
					html += '		<div class="mui-col-xs-5">发表时间</div>';
					html += '		<div class="mui-col-xs-7" id="FBRQ">' + obj[i].FBRQ + '</div>';
					html += '		<div class="mui-col-xs-5">卷号</div>';
					html += '		<div class="mui-col-xs-7" id="JH">' + obj[i].JH + '</div>';
					html += '		<div class="mui-col-xs-5">期号</div>';
					html += '		<div class="mui-col-xs-7" id="QH">' + obj[i].QH + '</div>';
					html += '		<div class="mui-col-xs-5">著作人数</div>';
					html += '		<div class="mui-col-xs-7" id="LWZRS">' + obj[i].LWZRS + '</div>';
					html += '		<div class="mui-col-xs-5">页面范围</div>';
					html += '		<div class="mui-col-xs-7" id="QZYM">' + obj[i].QZYM + '</div>';
					html += '		<div class="mui-col-xs-5">字数</div>';
					html += '		<div class="mui-col-xs-7" id="ZS">' + obj[i].ZS + '</div>';
					html += '		<div class="mui-col-xs-5">署名顺序</div>';
					html += '		<div class="mui-col-xs-7" id="SMSX">' + obj[i].SMSX + '</div>';
					html += '	</div>';
					html += '</li>';

					$('ul').append(html);

					$('.mui-row>div').each(function() {
						if($(this).text() == 'null') {
							$(this).text('暂无数据');
						}
					});
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	if(user_token == null || user_token == '') {

	} else {
		getAll();
	}
});