var user_token = '';

var swzl_json = {
	data: []
}

//校园风光全部列表
function getAllInfo() {
	$.ajax({
		type: "get",
		//url: apis.xyfg_getxyfg + '?appid=swzl&token=' + user_token,
		url: apis.swzl_list + '?appid=swzl&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				var obj = result.rows;
				for(var i in obj) {
					var lx = obj[i].lx;
					var lxmc = "";
					if(lx==1){
						lxmc = "寻物";
					}else{
						lxmc = "招领";
					}
					var ctime = obj[i].ctime.substr(0,10)
					swzl_json.data.push({
						'id': obj[i].id,
						'content': obj[i].content,
						'tel': obj[i].tel,
						'mail': obj[i].mail,
						'pic':  obj[i].pic,
						'ctime': ctime,
						'lxmc': lxmc
					})
				}

				for(var i = 0; i < swzl_json.data.length; i++) {
					var chtml = '<li>';
					chtml += '	<p class="product_title">【'+swzl_json.data[i].lxmc+'】'+swzl_json.data[i].content+'</p>';
					chtml += '	<p class="product_telnum">TEL:'+swzl_json.data[i].tel+'</p>';
					chtml += '	<p class="product_picture">';
					if(swzl_json.data[i].pic!=""){
						var pics = swzl_json.data[i].pic.split(",");
						for(var p=0;p<pics.length;p++){
							chtml += '	<img data-preview-src="" data-preview-group="1" src="' + xyfg_img_url+pics[p] + '">';
						}
					}
					
					chtml += '	</p>';
					chtml += '	<p class="product_np">';
					chtml += '	<span id="' + swzl_json.data[i].id + '" class="mui-icon iconfont fbctime">' + swzl_json.data[i].ctime + '</span>';
					chtml += '	</p>';
					chtml += '</li>';

					if($('.BoxLeft').height() < $('.BoxRight').height()) {
						$('.BoxLeft').append(chtml);
					} else {
						$('.BoxRight').append(chtml);
					}
				}

				mui.previewImage();

				$('li span').on('tap', function() {
					var id = $(this).attr('id');
					dianzan(id);
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	getAllInfo();
})
