var user_token = '';

function getTsgxx() {
	$.ajax({
		type: "get",
		url: apis.tsgxx + '?appid=tsfw&token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows[0];
				$('#kwj').text(obj.kwj);
				$('#ywj').text(obj.ywj);
				$('#qfk').text(obj.qfk);
				$('#qpk').text(obj.qpk);
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

function getTsjyxx() {
	$.ajax({
		type: "get",
		url: apis.tsjyxx + '?token=' + user_token,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0 && result.rows.length > 0) {
				var obj = result.rows;
				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-collapse">';
					html += '	<a class="mui-navigate-right" href="#">' + obj[i].tm + '</a>';
					html += '	<div class="mui-collapse-content mui-row">';
					html += '		<div class="mui-col-xs-5">作者</div>';
					html += '		<div class="mui-col-xs-7" id="zrz">' + obj[i].zrz + '</div>';
					html += '		<div class="mui-col-xs-5">出版者</div>';
					html += '		<div class="mui-col-xs-7" id="cbz">' + obj[i].cbz + '</div>';
					html += '		<div class="mui-col-xs-5">外借时间</div>';
					html += '		<div class="mui-col-xs-7" id="wjsj">' + obj[i].wjsj + '</div>';
					html += '		<div class="mui-col-xs-5">应归还时间</div>';
					html += '		<div class="mui-col-xs-7" id="yghsj">' + obj[i].yghsj + '</div>';
					html += '		<div class="mui-col-xs-5">读者条码</div>';
					html += '		<div class="mui-col-xs-7" id="dztm">' + obj[i].dztm + '</div>';
					html += '	</div>';
					html += '</li>';

					$('.lists').append(html);

					$('.lists .mui-row>div').each(function() {
						if($(this).text() == 'null') {
							$(this).text('暂无数据');
						}
					});
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	if(user_token == null || user_token == '') {

	} else {
		getTsgxx();
		getTsjyxx();
	}
});