var user_token = '';
var xcbd_student_id = '';

function getAll() {
	$.ajax({
		type: "get",
		url: apis.yxbl_all + '?token=' + user_token + '&zkzh=' + xcbd_student_id,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.errcode == 0 && result.code == 200) {
				if(result.jfzt.blzt == 0) {
					
				} else if(result.jfzt.blzt == 1) {
					$('#bj-btn').show();
				} else {
					$('#cx-btn').show();
				}

				$('#xm').text(result.xsxx.xm);
				$('#xb').text(result.xsxx.xb);
				$('#xszj').text(result.xsxx.xszj);
				$('#sfzh').text(result.xsxx.sfzh);

				$('.jf-yingj span:nth-child(2)').text(result.jfzt.cwx1ZE);
				$('.jf-yingj span:nth-child(3)').text(result.jfzt.cwx3ZE);
				$('.jf-yingj span:nth-child(4)').text(result.jfzt.cwx2ZE);

				$('.jf-yij span:nth-child(2)').text(result.jfzt.cwx1YJ);
				$('.jf-yij span:nth-child(3)').text(result.jfzt.cwx3YJ);
				$('.jf-yij span:nth-child(4)').text(result.jfzt.cwx2YJ);

				$('.jf-huanj span:nth-child(2)').text(result.jfzt.cwx1HJ);
				$('.jf-huanj span:nth-child(3)').text(result.jfzt.cwx3HJ);
				$('.jf-huanj span:nth-child(4)').text(result.jfzt.cwx2HJ);

				$('.jf-flag span:nth-child(2)').html(result.jfzt.xfzt == '已缴' ? '<font style="color:#417505">已缴</font>' : '<font style="color:#AF0808">未缴</font>');
				$('.jf-flag span:nth-child(3)').html(result.jfzt.zsjfzt == '已缴' ? '<font style="color:#417505">已缴</font>' : '<font style="color:#AF0808">未缴</font>');
				$('.jf-flag span:nth-child(4)').html(result.jfzt.jcfzt == '已缴' ? '<font style="color:#417505">已缴</font>' : '<font style="color:#AF0808">未缴</font>');

				$('#dwbzmc').text(result.xsxx.dwbzmc);
				$('#zymc').text(result.xsxx.zymc);
			} else {
				mui.alert(result.errmsg, '错误', '返回查询', function() {
					//info.innerText = '你刚关闭了警告框';
					console.log('返回xcbd.html');
					back();
				});
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	user_token = getlocalStorage('user-token');
	xcbd_student_id = getlocalStorage('xcbd-student-id');

	if(user_token == null || user_token == '') {

	} else {
		getAll();

		//办结按钮
		$('#bj-btn').on('tap', function(e) {
			$.ajax({
				type: "get",
				url: apis.yxbl_yxblbj + '?token=' + user_token + '&zkzh=' + xcbd_student_id,
				dataType: "json",
				cache: false, //缓存
				async: true, //异步
				data: {},
				beforeSend: function() {
					mui.showLoading("正在加载", "div");
				},
				success: function(result) {
					if(result.errcode == 0) {
						$('#bj-btn').hide();
						$('#cx-btn').show();
					} else {
						mui.toast(result.errmsg);
					}
				},
				complete: function() {
					mui.hideLoading(function() {});
				}
			});
		});

		//撤销按钮
		$('#cx-btn').on('tap', function(e) {
			$.ajax({
				type: "get",
				url: apis.yxbl_yxblbj + '?token=' + user_token + '&zkzh=' + xcbd_student_id,
				dataType: "json",
				cache: false, //缓存
				async: true, //异步
				data: {},
				beforeSend: function() {
					mui.showLoading("正在加载", "div");
				},
				success: function(result) {
					if(result.errcode == 0) {
						$('#cx-btn').hide();
						$('#bj-btn').show();
					} else {
						mui.toast(result.errmsg);
					}
				},
				complete: function() {
					mui.hideLoading(function() {});
				}
			});
		});
	}
})