function getXygkfl() {
	$.ajax({
		type: "get",
		url: apis.xygkfl +'?appid=xxgk',
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				$('.lists').empty();

				var obj = result.rows;
				var html = '';
				for(var i in obj) {
					html += '<div class="mui-col-xs-6">';
					html += '	<div class="inner mui-row">';
					html += '		<div class="mui-col-xs-5">';
					html += '			<img src="' + xyfg_img_url + obj[i].photo + '"/>';
					html += '		</div>';
					html += '		<div class="mui-col-xs-7">';
					html += '			<p class="name">' + obj[i].flmc + '</p>';
					html += '			<p class="mui-ellipsis-2">' + obj[i].flms + '</p>';
					html += '		</div>';
					html += '	</div>';
					html += '</div>';
				}
				$('.lists').append(html);

				$('.lists>div').on('tap', function() {
					var name = $(this).find('.name').text().trim();
					var _url = url_obj[name];
					var _flag = url_obj[name + '-flag'];

					if(name == '导师风采') {
						var obj = {
							'html': 'xxgk-dsfc-list.html',
							'title': '导师风采',
							'id': 'xxgk-dsfc-list'
						}
						
						titleNViewWebview(obj);
					} else if(name == '学科建设') {
						var obj = {
							'html': 'xxgk-xkjs-list.html',
							'title': '学科建设',
							'id': 'xxgk-xkjs-list'
						}
						
						titleNViewWebview(obj);
					} else if(name == '专业介绍') {
						var obj = {
							'html': 'xxgk-zyjs-list.html',
							'title': '专业介绍',
							'id': 'xxgk-zyjs-list'
						}
						
						titleNViewWebview(obj);
					} else {
						getUrl(_url, _flag, name);
					}

				});
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

function getUrl(_url, _flag, _name) {
	$.ajax({
		type: "get",
		url: _url,
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				switch(_flag) {
					case 'url':
						var temp_url = result.obj.wburl;
						var obj = {
							'html': temp_url,
							'title': _name,
							'id': 'xxgk-url'
						}
						titleNViewWebview(obj);
						break;
					case 'lists':
						var _lists = result.rows;
						break;
					case 'img':
						var obj = {
							'base_data': {
								'html': 'xxgk-lsyg.html',
								'title': _name,
								'id': 'xxgk-lsyg'
							},
							'send_data': {
								targetImg: result.rows[0].lsygjs,
							}
						}

						imgNViewWebview(obj);
						break;
					default:
						break;
				}
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	getXygkfl();
})

// 带标题栏控件的Webview窗口
var imgview = null;

function imgNViewWebview(obj) {
	imgview = plus.webview.create(obj.base_data.html, obj.base_data.id, {
		scalable:true,
		'titleNView': {
			'backgroundColor': '#FF952A',
			'titleText': obj.base_data.title,
			'titleColor': '#FFFFFF',
			//'autoBackButton': true,
			'buttons': [{
				text: '<',
				float: 'left',
				onclick: function() {
					plus.webview.getWebviewById(obj.base_data.id).close();
				}
			}]
		}
	});

	imgview.show('slide-in-right');

	imgview.addEventListener('close', function(e) {
		//		webview = null;
		imgview.close();
		//console.log('返回上一页');
	});

	imgview.addEventListener('titleUpdate', function(e) {
		mui.fire(imgview, 'send', obj.send_data)
		imgview.show();
		//console.log('Update title: ' + e.title);
	});
}