function hyyw() {
	var _url = apis.hyyw;
	getData(_url);
}

function gzdt() {
	var _url = apis.gzdt;
	getData(_url);
}

function xshd() {
	var _url = apis.xshd;
	getData(_url);
}

function mtjj() {
	var _url = apis.mtjj;
	getData(_url);
}

function shfw() {
	var _url = apis.shfw;
	getData(_url);
}

function getData(_url) {
	$.ajax({
		type: "get",
		url: _url+'?appid=xyzx',
		dataType: "json",
		cache: false, //缓存
		async: true, //异步
		data: {},
		beforeSend: function() {
			mui.showLoading("正在加载", "div");
		},
		success: function(result) {
			if(result.code == 200 && result.errcode == 0) {
				$('.my-lists ul').empty();

				var obj = result.rows;

				for(var i in obj) {
					var html = '';
					html += '<li class="mui-table-view-cell mui-media" data-title="' + obj[i].wbtitle + '" data-href="' + obj[i].wburl + '">';
					html += '	<a>';
					html += '		<div class="mui-media-body">';
					html += '		<p class="mui-ellipsis-2">' + obj[i].wbtitle.trim() + '</p>';
					html += '			<p class="mui-ellipsis">' + obj[i].wbdate.substring(0, 11) + '</p>';
					html += '		</div>';
					html += '	</a>';
					html += '</li>';

					$('.my-lists ul').append(html)
				}

				$('li').off().on('tap', function(e) {
					var _href = $(this).attr('data-href');
					var _title = $(this).attr('data-title');
					setlocalStorage('xyzx-href', _href);

					var obj = {
						'html': _href,
						'title': '校园资讯',
						'id': 'xyzx-detail'
					}
					//titleNViewWebview(obj);
					share_obj={
						href:_href,
						title:_title,
						content:''
					};
					shareNViewWebview(obj,share_obj)
				})
			}
		},
		complete: function() {
			mui.hideLoading(function() {});
		}
	});
}

$(function() {
	var _url = apis.hyyw;
	getData(_url);
	
	$('.hyyw').on('tap', function(e) {
		hyyw();
	});
	$('.gzdt').on('tap', function(e) {
		gzdt();
	});
	$('.xshd').on('tap', function(e) {
		xshd();
	});
	$('.mtjj').on('tap', function(e) {
		mtjj();
	});
	$('.shfw').on('tap', function(e) {
		shfw();
	});
})